

// CLOCK 2.0.2


// Includes
#include <time.hpp>


// Preprocessor Directives
#pragma once


// Class Clock
class Clock
{
public:

   // Class Exception
   class Exception;

   // Time
   static const Time time(void);
   static void time(uint16_t year, uint8_t month, uint8_t day, uint8_t hour = 0, uint8_t minute = 0, uint8_t second = 0,
      uint16_t milli = 0);
   static void time(const Time& time);

   // Get Timer [ms]
   static uint64_t timer(void);

private:

   // Constructor
   Clock(void);
};


// Class Exception
class Clock::Exception
{
public:

   // Class Parameter
   class Parameter;

   // Class Permission
   class Permission;

private:

   // Virtual Function for RTTI
   virtual void _func() {}
};


// Class Parameter
class Clock::Exception::Parameter : public Clock::Exception
{
};


// Class Permission
class Clock::Exception::Permission : public Clock::Exception
{
};
